## USB Redirection Channel USB Redirection Channel — usb redirection |

## Stability Level

API Stable (channel in development), unless otherwise indicated

## Synopsis

    #include <channel-usbredir.h>

    struct              SpiceUsbredirChannel;
    struct              SpiceUsbredirChannelClass;

## Object Hierarchy

      GObject
       +----SpiceChannel
             +----SpiceUsbredirChannel

## Description

The Spice protocol defines a set of messages to redirect USB devices from the Spice client to the VM. This channel handles these messages.

## Details

### struct SpiceUsbredirChannel

    struct SpiceUsbredirChannel;

The SpiceUsbredirChannel struct is opaque and should not be accessed directly.

### struct SpiceUsbredirChannelClass

    struct SpiceUsbredirChannelClass {
        SpiceChannelClass parent_class;

        /* signals */
    };

Class structure for SpiceUsbredirChannel.

SpiceChannelClass `parent_class`; | Parent class.